package com.connor.jd.plm.table;

import java.awt.FlowLayout;

import javax.swing.ButtonGroup;
import javax.swing.JPanel;
import javax.swing.JRadioButton;

public class JRadioPanel extends JPanel {
	private JRadioButton[] buttons = null;
	private ButtonGroup buttonGroup = new ButtonGroup();

	public JRadioPanel(String[] text) {
		super();
		buttons = new JRadioButton[text.length];
		for (int i = 0; i < text.length; i++) {
			buttons[i] = new JRadioButton(text[i]);
			buttonGroup.add(buttons[i]);
			add(buttons[i]);
		}
		setLayout(new FlowLayout(FlowLayout.LEFT));
	}

	public JRadioButton[] getButtons() {
		return buttons;
	}

	public JRadioButton getSelected() {
		if (buttonGroup.getSelection() != null) {
			return (JRadioButton) buttonGroup.getSelection()
					.getSelectedObjects()[0];
		}
		return null;
	}

	public void setSelected(int index) {
		buttons[index].setSelected(true);
	}

	public void setSelected(String value) {
		for (int i = 0; i < buttons.length; i++) {
			buttons[i].setSelected(buttons[i].getText().equals(value));
		}
	}

}
