package com.connor.jd.plm.table;

import java.awt.Color;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.table.TableCellRenderer;

public class TableCellTextAreaRenderer extends JTextArea implements TableCellRenderer {
	public TableCellTextAreaRenderer() {
		setLineWrap(true);
		setWrapStyleWord(true);
		
	}
	
	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {
		// TODO Auto-generated method stub
		int maxPreferredHeight = 0;
		for (int i = 0; i < table.getColumnCount(); i++) {
			setText("" + table.getValueAt(row, i));
			setSize(table.getColumnModel().getColumn(column).getWidth(), 0);
			maxPreferredHeight = Math.max(maxPreferredHeight, getPreferredSize().height);
		}
		setBackground(Color.white);
		setForeground(Color.black);
		if(isSelected){
			setBackground(new Color(0, 120, 215));
			setForeground(Color.white);
		}
		if (table.getRowHeight(row) != maxPreferredHeight) // Ϲæ
			table.setRowHeight(row, maxPreferredHeight);

		setText(value == null ? "" : value.toString());
		return this;
	}

//	@Override
//	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus,
//			int row, int column) {
//		// TODO Auto-generated method stub
//		int maxPreferredHeight = 0;
//		for (int i = 0; i < table.getColumnCount(); i++) {
//			setText("" + table.getValueAt(row, i));
//			setSize(table.getColumnModel().getColumn(column).getWidth(), 0);
//			maxPreferredHeight = Math.max(maxPreferredHeight, getPreferredSize().height);
//		}
//		setBorder(BorderFactory.createLineBorder(Color.white));
//		setBackground(Color.white);
//		setForeground(Color.black);
//		if(isSelected){
//			setBackground(new Color(0, 120, 215));
//			setForeground(Color.white);
//		}
//		String val=(String) table.getValueAt(row, column);
//		int w=0;
//		if(val!=null){
//			w=val.length()*6/table.getColumn(table.getColumnName(column)).getWidth();
//		}
//		if(w!=0){
//			//System.out.println("height:"+table.getRowHeight()*(w+1));
//			table.setRowHeight(row,table.getRowHeight()*(w+1));
//		}
//			
//		
//		setText(value == null ? "" : value.toString());
//		return this;
//	}
}